/***************************************************************************
 * <p>Title: Presence Detection</p>
 * <p>Description: Projects In Computer Science</p>
 * <p>Copyright: Copyright (c) 2007</p>
 * <p>Company: Columbia University; all rights reserved</p>
 *
 * @author Denis Abramov (daa82@columbia.edu)
 * @version 1.0
 *
 * Description:
 * interface class for algorithms to implement
 ***************************************************************************/


package com.presencedetection.algos;

import java.awt.image.BufferedImage;

public interface PDAlgoIntf {

  public PDResults analyze(BufferedImage image);
  public boolean isRunning();
  public boolean start();
}
